# Documentation

We’d appreciate your feedback, please use Reddit or the forum to report problems, feature requests, ask questions or discuss the app. If you like the app, please rate and review.

- Basics
  - Flow & fiber
  - Building blocks
- Advanced
  - Values & literals
  - Variables
  - Expressions & operators
  - Functions
  - Examples
- FAQ
- Premium
- Security
- Extension (add-on) apps
- Privacy policy
- Data deletion
- Safe mode (device recovery)
- Android Debug Bridge (ADB)
- Unit conversion
- Appendix